---
lang: en
title: 'API docs: metadata.namespacedreflect.metadata'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/metadata
permalink: /doc/en/lb4/apidocs.metadata.namespacedreflect.metadata.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/metadata](./metadata.md) &gt; [NamespacedReflect](./metadata.namespacedreflect.md) &gt; [metadata](./metadata.namespacedreflect.metadata.md)

## NamespacedReflect.metadata() method

**Signature:**

```typescript
metadata(metadataKey: string, metadataValue: any): {
        (target: Function): void;
        (target: Object, targetKey: string | symbol): void;
    };
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

metadataKey


</td><td>

string


</td><td>


</td></tr>
<tr><td>

metadataValue


</td><td>

any


</td><td>


</td></tr>
</tbody></table>
**Returns:**

{ (target: Function): void; (target: Object, targetKey: string \| symbol): void; }


